libhackrf: hackrf_m0_state Struct Reference

libhackrf HackRF SDR platform library

Loading...
Searching...
No Matches
Data Fields
hackrf_m0_state Struct Reference
Firmware flashing & debugging

State of the SGPIO loop running on the M0 core.

`#include <hackrf.h>`

## Data Fields
uint16_t | requested_mode
| Requested mode.
uint16_t | request_flag
| Request flag, 0 means request is completed, any other value means request is pending.
uint32_t | active_mode
| Active mode.
uint32_t | m0_count
| Number of bytes transferred by the M0.
uint32_t | m4_count
| Number of bytes transferred by the M4.
uint32_t | num_shortfalls
| Number of shortfalls.
uint32_t | longest_shortfall
| Longest shortfall in bytes.
uint32_t | shortfall_limit
| Shortfall limit in bytes.
uint32_t | threshold
| Threshold m0_count value (in bytes) for next mode change.
uint32_t | next_mode
| Mode which will be switched to when threshold is reached.
uint32_t | error
| Error, if any, that caused the M0 to revert to IDLE mode.

## Field Documentation

## ◆ active_mode

uint32_t hackrf_m0_state::active_mode

Possible values are the same as in hackrf_m0_state::requested_mode

## ◆ error

uint32_t hackrf_m0_state::error

Possible values are 0 (NONE), 1 (RX_TIMEOUT) 2 (TX_TIMEOUT) or 3 (MISSED_DEADLINE)

## ◆ longest_shortfall

uint32_t hackrf_m0_state::longest_shortfall

## ◆ m0_count

uint32_t hackrf_m0_state::m0_count

## ◆ m4_count

uint32_t hackrf_m0_state::m4_count

## ◆ next_mode

uint32_t hackrf_m0_state::next_mode

Possible values are the same as in hackrf_m0_state::requested_mode

## ◆ num_shortfalls

uint32_t hackrf_m0_state::num_shortfalls

## ◆ request_flag

uint16_t hackrf_m0_state::request_flag

## ◆ requested_mode

uint16_t hackrf_m0_state::requested_mode

Possible values are 0(IDLE), 1(WAIT), 2(RX), 3(TX_START), 4(TX_RUN)

## ◆ shortfall_limit

uint32_t hackrf_m0_state::shortfall_limit

## ◆ threshold

uint32_t hackrf_m0_state::threshold

The documentation for this struct was generated from the following file:

- /tmp/release.6358/host/libhackrf/src/hackrf.h